---
title: AudioBuffer.sampleRate
slug: Web/API/AudioBuffer/sampleRate
tags:
  - API
  - AudioBuffer
  - Property
  - Reference
  - Web Audio API
  - sampleRate
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <strong><code>sampleRate</code></strong> property of the {{ domxref("AudioBuffer") }} interface returns a float representing the sample rate, in samples per second, of the PCM data stored in the buffer.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myArrayBuffer = audioCtx.createBuffer(2, frameCount, audioCtx.sampleRate);
myArrayBuffer.sampleRate;</pre>

<h3 id="Value">Value</h3>

<p>A floating-point value indicating the current sample rate of the buffers data, in samples per second.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight[22]">// Stereo
var channels = 2;

// Create an empty two second stereo buffer at the
// sample rate of the AudioContext
var frameCount = audioCtx.sampleRate * 2.0;
var myArrayBuffer = audioCtx.createBuffer(2, frameCount, audioCtx.sampleRate);

button.onclick = function() {
  // Fill the buffer with white noise;
  // just random values between -1.0 and 1.0
  for (var channel = 0; channel &lt; channels; channel++) {
    // This gives us the actual ArrayBuffer that contains the data
    var nowBuffering = myArrayBuffer.getChannelData(channel);
    for (var i = 0; i &lt; frameCount; i++) {
      // Math.random() is in [0; 1.0]
      // audio needs to be in [-1.0; 1.0]
      nowBuffering[i] = Math.random() * 2 - 1;
    }
  }

  console.log(myArrayBuffer.sampleRate);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audiobuffer-samplerate', 'sampleRate')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioBuffer.sampleRate")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
